{% extends 'base.html.twig' %}

{% block title %}Se connecter{% endblock %}

{% block body %}
<div class="container my-6">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}
        
    {% for success in app.flashes('success') %}
        {{ success }}
    {% endfor %}
        
        
    {% if app.user %}
        <div class="mb-3">
            Vous êtes connecté en tant que {{ app.user.username }}, <a href="{{ path('app_logout') }}">Se deconnecter</a>
        </div>
    {% else %}
        <h1 class="title is-1">Se connecter</h1>
        {{ form_start(form) }}
                            
            {{ form_row(form.username, {
                full_name: "username",
                label: 'Nom d\'utilisateur',
                value: last_username
            }) }}

            {{ form_row(form.password, {
                full_name: "password",
                label: 'Mot de passe'
            }) }}
            
            {{ form_row(form._token, {
                full_name: "_csrf_token",
                value: csrf_token('authenticate')
            }) }}
            
            <div class="field is-flex is-justify-content-center">
                <button class="button is-primary" type="submit">
                    Connexion
                </button>
            </div>

        {{ form_end(form) }}
    {% endif %}
</div>
{% endblock %}
